Bug 1023477 (CVE-2013-4470) - CVE-2013-4470 Kernel: net: memory corruption with UDP_CORK and UFO
Summary: CVE-2013-4470 Kernel: net: memory corruption with UDP_CORK and UFO
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4470
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1014599 1023490 1023491 1023492 1023493 1023494 1023495 1052129
Blocks: 1022007
TreeView+ depends on / blocked
 
Reported: 2013-10-25 13:52 UTC by Prasad J Pandit
Modified: 2019-09-29 13:09 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-28 18:35:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1801 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2013-12-13 00:23:10 UTC
Red Hat Product Errata RHSA-2014:0100 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2014-01-28 22:38:58 UTC
Red Hat Product Errata RHSA-2014:0284 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-03-11 21:07:13 UTC

Description Prasad J Pandit 2013-10-25 13:52:19 UTC
Linux kernel built with an Ethernet driver(ex virtio-net) which has UDP
Fragmentation Offload(UFO) feature ON is vulnerable to a memory corruption flaw
when UDP_CORK socket option is set. It could occur when sending large messages,
wherein not all messages are greater than maximum transfer unit(MTU) of the
underlying medium.

An unprivileged user/program could use this flaw to crash the kernel resulting in DoS, or potentially escalate their privileges on the system.


Upstream fix:
-------------
 -> http://patchwork.ozlabs.org/patch/285292/
 -> https://git.kernel.org/linus/c547dbf55d5f8cf615ccc0e7265e98db27d3fb8b
 -> https://git.kernel.org/linus/e93b7d748be887cd7639b113ba7d7ef792a7efb9

Comment 1 Prasad J Pandit 2013-10-25 13:55:19 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

Comment 2 Prasad J Pandit 2013-10-25 14:20:49 UTC
Acknowledgements:

Red Hat would like to thank Hannes Frederic Sowa for reporting this issue.

Comment 5 Prasad J Pandit 2013-10-25 14:32:15 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1023495]

Comment 8 Fedora Update System 2013-11-05 02:59:30 UTC
kernel-3.11.6-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-11-10 07:57:03 UTC
kernel-3.11.7-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-11-13 02:16:44 UTC
kernel-3.11.7-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2013-12-12 19:24:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1801 https://rhn.redhat.com/errata/RHSA-2013-1801.html

Comment 14 errata-xmlrpc 2014-01-28 17:40:12 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0100 https://rhn.redhat.com/errata/RHSA-2014-0100.html

Comment 15 errata-xmlrpc 2014-03-11 17:07:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0284 https://rhn.redhat.com/errata/RHSA-2014-0284.html


Note You need to log in before you can comment on or make changes to this bug.